---
title: "Pestaña de Solicitud de servicio"
source: /es/gcxone/api/service-request-tab
locale: es
updated: 2026-09-04
---
Operaciones sobre recursos de la pestaña de solicitud de servicio. 2 endpoints, cada uno relativo a `https://api.nxgen.cloud/api/v1` y autenticado como se describe bajo [Authentication](/gcxone/api/authentication).

## POST /serviceRequests/filter

Obtenga la lista de solicitudes de servicio con filtrado, ordenación y paginación. Permite búsquedas por nivel jerárquico. Puede filtrarse usando la jerarquía especificada o utiliza la jerarquía del usuario autenticado. Esto brinda la opción de obtener campos de entidad adicionales en la respuesta. También proporciona metadatos de configuración sobre la entidad.

### Cuerpo de la Solicitud

Filtrado y ordenación de Solicitudes de servicio

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Respuestas

| Estado | Descripción | Cuerpo |
| --- | --- | --- |
| 200 | Éxito | object |
| 204 | Sin contenido |  |
| 400 | Entrada inválida |  |
| 401 | No autorizado |  |
| 403 | Prohibido |  |

Ejemplo `200` respuesta:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Site",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "category": "tower",
      "subCategory": "new_tower",
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "userId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "createdOn": 1655213317621
    },
    {
      "category": "tower",
      "subCategory": "new_tower",
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "userId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "createdOn": 1655213317621
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## PUT /serviceRequests/updateStatus/{serviceRequestId}

Actualizar una solicitud de servicio

### Parámetros

| Nombre | En | Tipo | Obligatorio | Descripción |
| --- | --- | --- | --- | --- |
| serviceRequestId | path | string | yes |  |

### Cuerpo de Solicitud

```json
{
  "status": "string"
}
```

### Respuestas

| Estado | Descripción | Cuerpo |
| --- | --- | --- |
| 200 | Éxito |  |
| 400 | Entrada inválida |  |
| 401 | No autorizado |  |
| 403 | Prohibido |  |
| 404 | No Encontrado |  |

Ejemplo `200` respuesta:

```json
{
  "result": "serviceRequestId"
}
```